# Copyright (c) 2015 Dave Love, Liverpool University
# MIT licence, per Fedora policy.

Name:		fzjlinktest
Version:	1.2p1
Release:	3%{?dist}
Summary:	Parallel MPI PingPong Test
# not quite: fixme
License:	BSD with advertising
URL:		http://www.fz-juelich.de/jsc/linktest
# (Not directly downloadbale) from
# http://www.fz-juelich.de/ias/jsc/EN/Expertise/Support/Software/LinkTest/linktest-download_node.html
Source0:	fzjlinktest-%version.tar.gz
# fix a printf format
Patch1:		fzjlinktest-format.patch
BuildRequires:	sionlib-openmpi-devel sionlib-devel openmpi-devel

%global desc \
The Linktest program is a parallel ping-pong test between all possible\
MPI connections of a machine.  Output of this program is a full\
communication matrix which shows the bandwidth and message latency\
between each processor pair and a report including the minimum\
bandwidth.  The linktest runs for n processors in n steps where in\
each step n/2 pairs of processors will perform the MPI pingpong test\
(e.g. 3 iterations, 128 kB messages).  The selection of the pairs is\
random but after running all steps all possible pairs are covered.

%description
%desc

%package openmpi
Summary:	Parallel MPI PingPong Test - openmpi
Obsoletes:	fzjlinktest
Requires:	sionlib-openmpi%{?_isa}

%description openmpi
%desc
This is the openmpi version.


%prep
%setup -q -n %name
%patch1 -p1


%build
%_openmpi_load
%make_build -C src -f Makefile_LINUX SIONLIB_INST=$MPI_HOME LIBS_MPI='-g -rdynamic'
%_openmpi_unload


%install
%_openmpi_load
mkdir -p $RPM_BUILD_ROOT$MPI_BIN
install -m 755 src/mpilinktest src/pingponganalysis $RPM_BUILD_ROOT$MPI_BIN
%_openmpi_unload


%files openmpi
%doc LICENSE README RELEASE
%_libdir/openmpi/bin/*


%changelog
* Fri Jul 12 2019 Dave Love <loveshack@fedoraproject.org> - 1.2p1-3
- Actually package -openmpi

* Thu Jul 11 2019 Dave Love <loveshack@fedoraproject.org> - 1.2p1-2
- Explicit openmpi package, obsoleting simple name

* Thu Jun 11 2015 Dave Love <d.love@liverpool.ac.uk> - 1.2p1-1
- Initial packaging
